# \hhu\z\exceptionsWrongFiletypeException

Exception: File has wrong filetype.

## Summary

Methods
Properties
Constants
__construct()
getType()
No public properties found
CODE
MESSAGE
No protected methods found
No protected properties found
N/A
concat()
$type
N/A

File
  app/exceptions/WrongFiletypeException.inc
Package
  Default
Class hierarchy
  \Exception
  \nre\core\Exception
  \hhu\z\exceptions\WrongFiletypeException

## Tags

author | Oliver Hanraths oliver.hanraths@uni-duesseldorf.de

## Constants

### CODE

    CODE

Error code

#

## Tags

None found

### MESSAGE

    MESSAGE

Error message

#

## Tags

None found

## Properties

### $type

    $type : string

Type of file

#### Type

string

#

## Tags

None found

## Methods

### __construct()

    __construct(string  $type, string  $message = self::MESSAGE, integer  $code = self::CODE)

Construct a new exception.

#### Parameters

string | $type | Type of file
string | $message | Error message
integer | $code | Error code

#

## Tags

None found

### getType()

    getType() : \hhu\z\exceptions\Type

Get type of file.

#### Returns

\hhu\z\exceptions\Type —

of file

#

## Tags

None found

### concat()

    concat(string  $message, string  $name)

Insert the name in a message

#### Parameters

string | $message | Error message
string | $name | Name to insert

#

Inherited from
  \nre\core\Exception

## Tags

None found

### WrongFiletypeException.inc